Can I install and jailbreak iOS4 on my iPhone 2G

Discussion in 'iPhone' started by MikeonTV, Jun 21, 2010.

  1. MikeonTV macrumors regular

    Joined:
    Aug 9, 2007
    #1
    Pretty simple question. I have a 1st generation iPhone and I see there is a 0.9.5 version of RedSn0w out. Is it compatible? Has it been tested?
     
  2. goobot macrumors 603

    goobot

    Joined:
    Jun 26, 2009
    Location:
    long island NY
    #2
    good luck without there being an 4.0 update for the 2g
     
  3. MikeonTV thread starter macrumors regular

    Joined:
    Aug 9, 2007
    #3
    Well that's part of my question. So iOS4 is never going to be availible for the 2G?
     
  4. BlueRazor2 macrumors member

    Joined:
    Apr 4, 2008
    Location:
    Atlanta, Georgia
    #4
    iOS4 will never be released for 2G only 3G and 3GS....
     
  5. ontheDL macrumors member

    Joined:
    Sep 5, 2007
  6. MikeonTV thread starter macrumors regular

    Joined:
    Aug 9, 2007
    #6
    I would except I live, work and travel in Asia. I wont be back to Canada for at least 6 months. It seems dull to pay $750 for a iPhone 4 if I can get it for a fraction when I'm ready for the plan. Ohh Well.

    As a joke I'm going to install this mock version of iOS4 on my 2G http://dailyiphoneblog.com/2010/06/17/iphone-2g-on-firmware-ios4-3-1-3-mod/

    Thanks for the info guys
     
  7. HelloMikee macrumors 6502a

    HelloMikee

    Joined:
    Jun 16, 2009
    Location:
    San Diego
    #7
    Putting iOS4 on the first iPhone will make it slower than it already is. Might as well get a droid if iphone4 is a no go...
     
  8. MikeonTV thread starter macrumors regular

    Joined:
    Aug 9, 2007
    #8
    It's a no-go only because I'm in no desperate mood to upgrade. I have no problem waiting. I would just prefer to have iOS4 on my 2G. I'm not loosing more than a couple minutes of sleep thinking about it.
     
  9. HelloMikee macrumors 6502a

    HelloMikee

    Joined:
    Jun 16, 2009
    Location:
    San Diego
    #9
    Then like you said, just wait. iOS4 is not made for the original iPhone.
     

Share This Page